

from org.gvsig.fmap.dal.feature.impl import DefaultFeatureSelection as JFeatureSelection


def __iter(self):
  return  self.fastIterator()

def __len(self):
  return self.getSize()
  
def __call(self):
    return self
#
# Inject new methods in the class JFeatureSelection
#
JFeatureSelection.__iter__ = __iter
JFeatureSelection.__len__ = __len
JFeatureSelection.__call__ = __call
